Skip to main content
POST
Create Payment Account

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

request body for creating payment account

account_type
enum<string>
required

Type of payment account. Currently only allow creating external account.

Available options:
EXTERNAL_ACCOUNT
Example:

"EXTERNAL_ACCOUNT"

accountholder_name
string
required

Accountholder name of the payment account

Example:

"Chan Li Pak"

institution_id
string
required

Finverse Institution ID for the payment institution.

Maximum string length: 100
Example:

"hsbc-hk"

user_id
string
required

A unique identifier generated after creating user (Finverse Payment User ID)

Maximum string length: 100
Example:

"01GY6H0JA7BS8EVGY56NSHFX2E"

account_number
object
account_number_masked
string

Masked account number of the payment account. Optional for EXTERNAL_ACCOUNT type. Can be provided when account_number is not available. Only one of account_number or account_number_masked can be provided.

currencies
string[]

List of currencies supported by the payment account

Maximum string length: 3
Example:
metadata
object

Response

Successful

account_id
string

Payment account id

account_number
object
account_number_masked
string

Masked Account number of the payment account

account_type
enum<string>

Type of payment account.

Available options:
EXTERNAL_ACCOUNT,
SETTLEMENT_ACCOUNT
Example:

"EXTERNAL_ACCOUNT"

accountholder_name
string

Accountholder name of the payment account

Example:

"Chan Li Pak"

bank_code
string

3-digit code associated with bank

Example:

"004"

branch_code
string

3-digit code used to identify specific bank branch

Example:

"123"

business_units
string[]

The business units the payment account belongs to

created_at
string<date-time>

Timestamp of when the payment link was created in ISO format (YYYY-MM-DDTHH:MM:SS.SSSZ)

currencies
string[]

List of currencies supported by the payment account

Example:
customer_app_id
string

The customer app ID

Example:

"01ARZ3NDEKTSV4RRFFQ69G5FAV"

institution_id
string

Finverse Institution ID for the payment institution.

Example:

"hsbc-hk"

institution_name
string

Institution Name for the sender’s institution.

Example:

"HSBC"

This field is only applicable to settlement account

metadata
object

Additional attributes of the sender account in key:value format (e.g. sender_id: 1234). It supports up to 10 key:value pairs, whereas the key and value supports up to 50 and 1000 characters respectively.

updated_at
string<date-time>

Timestamp of when the payment link was last updated in ISO format (YYYY-MM-DDTHH:MM:SS.SSSZ)

user_id
string

A unique identifier generated after creating user (Finverse Payment User ID)

Example:

"01GY6H0JA7BS8EVGY56NSHFX2E"